Add GP Workers Additional Information

Use this endpoint to add additional information to a GP worker’s contract. Provide the extra fields in the request body under ‘data’ for the contract identified by ‘contract_id’. Token scopes: people:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique public identifier of the contract.

Request

This endpoint expects an object.
datamap from strings to strings or doubles or booleansRequired

Response

Operation successful.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error